Loading...
Searching...
No Matches
dolfin::MeshEntityIteratorBase< T > Class Template Reference

Base class for MeshEntityIterators. More...

`#include <MeshEntityIteratorBase.h>`

## Public Member Functions

| MeshEntityIteratorBase (const Mesh &mesh)
| Create iterator for mesh entities over given topological dimension.
| MeshEntityIteratorBase (const Mesh &mesh, std::string opt)
| MeshEntityIteratorBase (const MeshEntity &entity)
| Create iterator for entities of given dimension connected to given entity.
| MeshEntityIteratorBase (const MeshEntityIteratorBase &it)
| Copy constructor.
| ~MeshEntityIteratorBase ()
| Destructor.
MeshEntityIteratorBase & | operator++ ()
| Step to next mesh entity (prefix increment).
MeshEntityIteratorBase & | operator-- ()
| Step to the previous mesh entity (prefix decrease).
std::size_t | pos () const
| Return current position.
bool | operator== (const MeshEntityIteratorBase &it) const
| Comparison operator.
bool | operator!= (const MeshEntityIteratorBase &it) const
| Comparison operator.
T & | operator* ()
| Dereference operator.
T * | operator-> ()
| Member access operator.
bool | end () const
| Check if iterator has reached the end.
MeshEntityIteratorBase | end_iterator ()

## Detailed Description

template<class T>
class dolfin::MeshEntityIteratorBase< T >

Base class for MeshEntityIterators.

## Constructor & Destructor Documentation

## MeshEntityIteratorBase()

template<class T>

dolfin::MeshEntityIteratorBase< T >::MeshEntityIteratorBase | ( | const Mesh & | mesh,
|  | std::string | opt )

inline

Iterator over MeshEntity of dimension dim on mesh, with string option to iterate over "regular", "ghost" or "all" entities

## Member Function Documentation

## end_iterator()

template<class T>

MeshEntityIteratorBase dolfin::MeshEntityIteratorBase< T >::end_iterator | ( |  | ) |

inline

Provide a safeguard iterator pointing beyond the end of an iteration process, either iterating over the mesh /or incident entities. Added to be bit more like STL iterators, since many algorithms rely on a kind of beyond iterator.

The documentation for this class was generated from the following file:

- /build/dolfin-wwk1CC/dolfin-2019.2.0~legacy20240219.1c52e83/dolfin/mesh/MeshEntityIteratorBase.h